package com.ruoyi.framework.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;

@ConfigurationProperties("wx")
public class WxPayProperties {
    /**
     * 商户号
     */
    @Value("${wx.mch-id}")
    private String mchId;

    /**
     * 商户API证书序列号
     */
    @Value("${wx.mch-serial-no}")
    private String mchSerialNo;

    /**
     * 商户私钥文件
     */
    @Value("${wx.private-key-path}")
    private String privateKeyPath;

    /**
     * APIv3密钥
     */
    @Value("${wx.api-key}")
    private String key;

    /**
     * APPID
     */
    @Value("${wx.appid}")
    private String appid;

    /**
     * 微信服务器地址
     */
    @Value("${wx.domain}")
    private String domain;

    /**
     * 接收结果通知地址
     */
    @Value("${wx.notify-domain}")
    private String notifyDomain;

    public String getMchId() {
        return mchId;
    }

    public void setMchId(String mchId) {
        this.mchId = mchId;
    }

    public String getMchSerialNo() {
        return mchSerialNo;
    }

    public void setMchSerialNo(String mchSerialNo) {
        this.mchSerialNo = mchSerialNo;
    }

    public String getPrivateKeyPath() {
        return privateKeyPath;
    }

    public void setPrivateKeyPath(String privateKeyPath) {
        this.privateKeyPath = privateKeyPath;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public String getNotifyDomain() {
        return notifyDomain;
    }

    public void setNotifyDomain(String notifyDomain) {
        this.notifyDomain = notifyDomain;
    }


}
